ShapiroWilkTest.cpp File Reference
`#include <ShapiroWilkTest.h>`
`#include <gsl/gsl_randist.h>`
`#include <gsl/gsl_cdf.h>`
`#include <gsl/gsl_sort.h>`

## Macros

#define | min(a, b) ((a) > (b) ? (b) : (a))
#define | sign(a) ((a) >= 0 ? 1.0 : -1.0)

## Macro Definition Documentation

#define min | ( |  | a,
|  |  | b
| ) |  | ((a) > (b) ? (b) : (a))

Referenced by ErrorBarsCurve::boundingRect(), QwtBarCurve::dataOffset(), QwtBarCurve::draw(), Graph::drawItems(), FrequencyCountDialog::FrequencyCountDialog(), QwtHistogram::loadData(), QwtHistogram::loadDataFromMatrix(), Table::minColumnValue(), DoubleSpinBox::setMinimum(), ApplicationWindow::setSaveSettings(), Graph3D::setTicks(), ShapiroWilkTest::swilk(), and TableStatistics::update().

#define sign | ( |  | a | ) | ((a) >= 0 ? 1.0 : -1.0)

Referenced by PieCurve::drawSlices(), ScaleDraw::labelString(), and ShapiroWilkTest::swilk().